> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Lookup

> List lookup 엔드포인트를 사용하면 List에 대한 정보를 조회할 수 있습니다. List lookup을 다루는 X API v2 standard 티어 레퍼런스입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List lookup 엔드포인트를 사용하면 List에 대한 정보를 조회할 수 있습니다. ID로 특정 List를 조회하거나 사용자가 소유한 모든 List를 가져올 수 있습니다.

## 개요

<CardGroup cols={2}>
  <Card title="ID로 조회" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-bulleted-list.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=b9bf8323233df59c682b0fec8e3f88d5" width="24" height="24" data-path="icons/xds/icon-bulleted-list.svg">
    특정 List에 대한 세부 정보 가져오기
  </Card>

  <Card title="소유자로 조회" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-person.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=507a4bbcdcf5744bd18781508002e305" width="24" height="24" data-path="icons/xds/icon-person.svg">
    사용자가 소유한 모든 List 가져오기
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                   | Description        |
| :----- | :--------------------------------------------------------- | :----------------- |
| GET    | [`/2/lists/:id`](/x-api/lists/get-list-by-id)              | ID로 List 가져오기      |
| GET    | [`/2/users/:id/owned_lists`](/x-api/users/get-owned-lists) | 사용자가 소유한 List 가져오기 |

***

## 응답 필드

기본적으로 응답에는 `id`와 `name`이 포함됩니다. 추가 필드를 요청하세요:

| Field            | Description    |
| :--------------- | :------------- |
| `description`    | List 설명        |
| `owner_id`       | 소유자의 사용자 ID    |
| `private`        | List가 비공개인지 여부 |
| `follower_count` | 팔로워 수          |
| `member_count`   | 멤버 수           |
| `created_at`     | List 생성 날짜     |

### 요청 예시

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890?\
list.fields=description,owner_id,member_count,follower_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## 시작하기

<Note>
  **사전 요구사항**

  * 승인된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console 내의 [Project와 App](/resources/fundamentals/developer-apps)
  * App의 [key와 token](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="퀵스타트" icon="https://mintcdn.com/x-preview/oR-aRNyj1BKPJtxM/icons/xds/icon-rocket.svg?fit=max&auto=format&n=oR-aRNyj1BKPJtxM&q=85&s=b978d7a9225de31709efbbed5b84e92d" href="/x-api/lists/list-lookup/quickstart" width="24" height="24" data-path="icons/xds/icon-rocket.svg">
    첫 List lookup 요청 만들기
  </Card>

  <Card title="통합 가이드" icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-book.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=22ac564792481d14ae36a941546039c8" href="/x-api/lists/list-lookup/integrate" width="24" height="24" data-path="icons/xds/icon-book.svg">
    핵심 개념 및 모범 사례
  </Card>

  <Card title="API 레퍼런스" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/lists/list-lookup-by-list-id" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>

  <Card title="예제 코드" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    동작하는 코드 예제
  </Card>
</CardGroup>
